<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_preloaded_regular_screen.php';

class IptvVodRootScreen extends AbstractPreloadedRegularScreen
{
    const ID = 'vod_root';

    public $session;

    public function __construct($session, $folder_views)
    {
        parent::__construct(self::ID, $folder_views);

        $this->session = $session;
    }

    public function get_action_map(MediaURL $media_url, &$plugin_cookies)
    {
        return array
        (
            GUI_EVENT_KEY_ENTER => ActionFactory::open_folder(),
        );
    }

    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies)
    {
        $this->session->ensure_logged_in($plugin_cookies);
        $defs = array(
            //array(
            //    IptvVodListScreen::get_media_url_str('last'),
            //    'Last', 'mov_last.png'),
            array(
                IptvVodListScreen::get_media_url_str('lastSorted'),
                'Last', 'mov_last.png'),
            array(
                IptvVodListScreen::get_media_url_str('popular'),
                'Popular', 'mov_popular.png'),
            array(
                VodSearchScreen::get_media_url_str(),
                'Search', 'mov_search.png'),
            //array(
            //    IptvVodListScreen::get_media_url_str('best'),
            //    'Best', 'mov_best.png'),
            array(
                 VodFavoritesScreen::get_media_url_str(),
                 'My Favorites', 'mov_favorites.png'),
            array(
                IptvVodListScreen::get_media_url_str('categories', 3),
                'TV Shows', 'category_3.png'),
            //array(
            //    VodGenresScreen::get_media_url_str(),
            //    'Genres', 'mov_genres.png'),
            //array(
            //    VodCategoriesScreen::get_media_url_str(),
            //    'Categories', 'mov_categories.png'),
            array(
                VodDecadesScreen::get_media_url_str(),
                'Years', 'mov_years.png'),
            array(
                IptvVodListScreen::get_media_url_str('national'),
                'National', 'mov_national.png')
        );

        $genres_screen = new VodGenresScreen(new IptvVod($this->session), $this->session);

        $items = array();

        foreach ($defs as $def) {
            $items[] = array
            (
                PluginRegularFolderItem::media_url => $def[0],
                PluginRegularFolderItem::caption => $def[1],
                PluginRegularFolderItem::view_item_params => array
                (
                    ViewItemParams::icon_path =>
                        $this->session->get_genre_icon($def[2])
                )
            );
        }

        return array_merge($items, $genres_screen->get_all_folder_items());
    }
}

///////////////////////////////////////////////////////////////////////////
?>

