<?php

interface Vod
{
    public function try_load_movie($movie_id, &$plugin_cookies);

    public function is_failed_movie_id($movie_id);
    public function get_cached_movie($movie_id);
    public function clear_movie_cache();

    public function get_vod_info(MediaURL $media_url, &$plugin_cookies);
    public function get_vod_stream_url($playback_url, &$plugin_cookies);

    public function get_buffering_ms();

    public function get_genre_ids();
    public function get_genre_caption($genre_id);
    public function get_genre_icon_url($genre_id);
    public function get_genre_media_url_str($genre_id);
    public function get_genre_and_year_media_url_str($genre_id, $year);
    public function clear_genre_cache();

    public function get_category_ids();
    public function get_category_caption($category_id);
    public function get_category_icon_url($category_id);
    public function get_category_media_url_str($category_id);
    public function clear_categories_cache();

    public function get_decades();
    public function get_decades_media_url_str($decade);
    public function clear_decades_cache();

    public function get_years_media_url_str($year);

    public function get_search_media_url_str($pattern);

    public function get_vod_list_folder_views();
    public function get_vod_genres_folder_views();
    public function get_vod_categories_folder_views();
    public function get_vod_decades_folder_views();
    public function get_vod_years_folder_views();

    //Favorites
    public function load_favorites(&$plugin_cookies);
    public function get_archive(MediaURL $media_url);

    // Hook.
    public function folder_entered(MediaURL $media_url, &$plugin_cookies);
}

?>

